version:  '3'
services:
  datascience-notebook:
      image:    jupyter/scipy-notebook
      volumes:
        - ${LOCAL_WORKING_DIR}:/home/jovyan/work
        - ${LOCAL_DATASETS}:/home/jovyan/work/datasets
        - ${LOCAL_MODULES}:/home/jovyan/work/modules
      ports:
        - ${PORT}:8888
      container_name:  ${CONTAINER_NAME} 
      command: "start-notebook.sh \
               --NotebookApp.password=${ACCESS_TOKEN}" 
      restart: "no"
